Bug 646612 - Rename review: drupal-date -> drupal6-date
Summary: Rename review: drupal-date -> drupal6-date
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Paul W. Frields
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 646611
Blocks: 646614 646663
TreeView+ depends on / blocked
 
Reported: 2010-10-25 18:34 UTC by Gwyn Ciesla
Modified: 2012-03-22 14:14 UTC (History)
5 users (show)

Fixed In Version: drupal6-date-2.7-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-03 00:53:34 UTC
Type: ---
stickster: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Gwyn Ciesla 2010-10-25 18:34:04 UTC
Will be renaming entire drupal stack to drupal6, etc, to support parallell
installable drupal7 stack when that's available.

SRPMS: http://zanoni.jcomserv.net/fedora/drupal6-date/drupal6-date-6.x.2.4-1.fc13.src.rpm
SPEC: http://zanoni.jcomserv.net/fedora/drupal6-date/drupal6-date.spec

Comment 1 Sven Lankes 2010-10-29 17:07:55 UTC
You should probably rename drupal-date-fedora-README.txt to drupal6-date-fedora-README.txt and maybe use %{name} there.

Also: There is a new release out: 2.6

Comment 3 Volker Fröhlich 2011-01-18 14:03:33 UTC
Please change the version to 2.4 instead of 6.x.2.4.

Please correct the license to GPLv2+, as all modules hosted in Drupal's CVS must be.

Comment 5 Sven Lankes 2011-01-20 10:36:51 UTC
The obsoletes needs to be for <= instead of >=

Comment 7 Paul W. Frields 2011-02-11 01:35:48 UTC
[ FIX ] MUST: rpmlint must be run on every package. The output should be posted
in the review.

$ rpmlint rpmbuild/SPECS/drupal6-date.spec drupal6-date-2.4-2.fc14.src.rpm rpmbuild/RPMS/noarch/drupal6-date-2.4-2.fc14.noarch.rpm 
drupal6-date.src: W: spelling-error %description -l en_US cck -> cc, ck, cock
drupal6-date.noarch: W: spelling-error %description -l en_US cck -> cc, ck, cock
drupal6-date.noarch: W: obsolete-not-provided drupal-date
drupal6-date.noarch: E: zero-length /usr/share/drupal6/modules/date/help/date-views.html
2 packages and 1 specfiles checked; 1 errors, 3 warnings.

The spelling errors are noise.  My understanding of the
obsolete-not-provided is that you purposely *don't* want that, because
in a system where you have drupal6-date and drupal7-date, there's no
way to decide which would provide the capability.

If it doesn't break the help system for Date, you probably should
remove the zero-length file.  If it does, should be OK to put a dummy
<!-- comment --> in.

[ O K ] MUST: The package must be named according to the Package Naming
Guidelines.

[ O K ] MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.

[ FIX ] MUST: The package must meet the Packaging Guidelines.

According to the note on the web page, PHP < 5.2 isn't really
supported anymore so you might want a php >= 5.2 here to be explicit?

Add'l note: This is version 2.4, while upstream is at 2.7.  None of
the updates are security related, just new features and bug fixes.  Is
it intentional that you're packaging 2.4 here?  Or is it just that
this one's been waiting for a reviewer for a while?

These are lightly marked FIX here, since they're both "maybe" issues.

[ O K ] MUST: The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines.

[ O K ] MUST: The License field in the package spec file must match the actual
license. 

[ O K ] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.

[ O K ] MUST: The spec file must be written in American English. 

[ O K ] MUST: The spec file for the package MUST be legible. 

[ O K ] MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

$ md5sum rpmbuild/SOURCES/drupal6-date-2.4/date-6.x-2.4.tar.gz 
7ec77ca6e2c706e527424aeb1b1eb279  rpmbuild/SOURCES/drupal6-date-2.4/date-6.x-2.4.tar.gz
$ curl -s -o - http://ftp.drupal.org/files/projects/date-6.x-2.4.tar.gz | md5sum -
7ec77ca6e2c706e527424aeb1b1eb279  -

[ O K ] MUST: The package MUST successfully compile and build into binary rpms
on at least one primary architecture. 

[ N/A ] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line. 

[ O K ] MUST: All build dependencies must be listed in BuildRequires, except
for any that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.

[ O K ] MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[ O K ] MUST: Every binary RPM package (or subpackage) which stores shared
library files (not just symlinks) in any of the dynamic linker's default paths,
must call ldconfig in %post and %postun. 

[ O K ] MUST: Packages must NOT bundle copies of system libraries.

[ N/A ] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker. 

[ O K ] MUST: A package must own all directories that it creates. If it does
not create a directory that it uses, then it should require a package which
does create that directory. 

[ O K ] MUST: A Fedora package must not list a file more than once in the spec
file's %files listings. (Notable exception: license texts in specific
situations)

[ O K ] MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line. 

[ O K ] MUST: Each package must consistently use macros. 

[ O K ] MUST: The package must contain code, or permissable content. 

[ N/A ] MUST: Large documentation files must go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity). 

[ O K ] MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must
run properly if it is not present. 

[ N/A ] MUST: Header files must be in a -devel package. 

[ N/A ] MUST: Static libraries must be in a -static package. 

[ N/A ] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package. 

[ N/A ] MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 

[ O K ] MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.

[ N/A ] MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. If you feel that your packaged
GUI application does not need a .desktop file, you must put a comment in the
spec file with your explanation. 

[ O K ] MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time. 

[ O K ] MUST: All filenames in rpm packages must be valid UTF-8.

Apply fixes above + address the questionable ones and I can approve ASAP.  Sorry for your long wait on this package.

Comment 8 Gwyn Ciesla 2011-02-11 13:26:33 UTC
Ok, nearly done.  Re: your comment on obsoletes without provides, are you saying leave the provides out or add it in?

Comment 9 Gwyn Ciesla 2011-02-11 13:32:49 UTC
Ah, just saw your comments on drupal6-calendar.  Nevermind.

SRPMS:
http://zanoni.jcomserv.net/fedora/drupal6-date/drupal6-date-2.7-1.fc14.src.rpm
SPEC: http://zanoni.jcomserv.net/fedora/drupal6-date/drupal6-date.spec

Comment 10 Paul W. Frields 2011-02-14 12:15:19 UTC
Approved, as noted above.  You can proceed with any git request needed.

Comment 11 Gwyn Ciesla 2011-02-14 20:33:06 UTC
New Package SCM Request
=======================
Package Name: drupal6-date
Short Description: This package contains both the Date module and a Date API module

Owners: limb
Branches: EL-5 EL-6
InitialCC:

Comment 12 Jason Tibbitts 2011-02-15 19:20:22 UTC
Your request is oddly formatted; I think I've redone things correctly but
please do check.

Git done (by process-git-requests).

Comment 13 Gwyn Ciesla 2011-02-15 19:50:23 UTC
No, looks perfect, thanks!

Comment 14 Fedora Update System 2011-02-15 20:00:49 UTC
drupal6-date-2.7-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-date-2.7-1.el5

Comment 15 Fedora Update System 2011-02-15 20:00:57 UTC
drupal6-date-2.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-date-2.7-1.el6

Comment 16 Fedora Update System 2011-02-15 21:54:23 UTC
drupal6-date-2.7-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update drupal6-date'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/drupal6-date-2.7-1.el5

Comment 17 Fedora Update System 2011-03-03 00:53:13 UTC
drupal6-date-2.7-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2011-03-03 00:55:25 UTC
drupal6-date-2.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Gwyn Ciesla 2011-03-23 13:35:45 UTC
Package Change Request
======================
Package Name: drupal6-date
New Branches: f15
Owners: limb

Comment 20 Jason Tibbitts 2011-03-23 14:25:36 UTC
Git done (by process-git-requests).

Comment 21 Fedora Update System 2011-03-23 14:33:50 UTC
drupal6-date-2.7-1.fc15,drupal6-calendar-2.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/drupal6-date-2.7-1.fc15,drupal6-calendar-2.4-1.fc15

Comment 22 Fedora Update System 2011-03-28 06:09:40 UTC
drupal6-date-2.7-1.fc15, drupal6-calendar-2.4-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 23 Anderson Silva 2012-03-22 13:52:09 UTC
drupal6-date 2.8 has been out for quite a while and has security updates available. I was not able to contact the user that owns the RPM. I have a SRC RPM ready for it. Can someone tell me what would be the best way to get the update out into the distro with an existing package where the 'owner' in koji doesn't seem to be reachable?

Comment 24 Gwyn Ciesla 2012-03-22 14:03:12 UTC
I own it, and I didn't see any Bugs filed.  I'll push the update ASAP.

How did you try to contact me?

Comment 25 Anderson Silva 2012-03-22 14:10:12 UTC
Hi Jon,

Via the email listed on the %files section of the rpm SPEC:

limb@jcomserv.net

It bounced back.

Thanks for the quick reply.

Comment 26 Gwyn Ciesla 2012-03-22 14:14:27 UTC
Ah, I changed.  limburgher@gmail.com.  Which bugzilla knows. :)  Next time, file a BZ.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.